<h2 mat-dialog-title>{{title}}</h2>
<mat-dialog-content class="mat-typography">
  <form [formGroup]="crearEditarArticulo">
    <div class="input-group mb-3">
      <input type="text" class="form-control" placeholder="N° idArticulo" formControlName="idArticulo" readonly>
      <div class="input-group-append">
        <div class="input-group-text">
          <span class="fas fa-user"></span>
        </div>
      </div>
    </div>
    <div class="input-group mb-3">
      <input type="text" class="form-control" placeholder="Nombre" formControlName="nombre" [readonly]="view">
      <div class="input-group-append">
        <div class="input-group-text">
          <span class="fas fa-user"></span>
        </div>
      </div>
    </div>
    <div class="input-group mb-3">
      <input type="text" class="form-control" placeholder="0.00" formControlName="precio" [readonly]="view">
      <div class="input-group-append">
        <div class="input-group-text">
          <span class="fas fa-envelope"></span>
        </div>
      </div>
    </div>
    <div class="input-group mb-3">
      <input type="text" class="form-control" placeholder="0.00" formControlName="costo" [readonly]="view">
      <div class="input-group-append">
        <div class="input-group-text">
          <span class="fas fa-envelope"></span>
        </div>
      </div>
    </div>
    <div class="input-group mb-3">
      <input type="date" class="form-control" placeholder="Fecha" formControlName="fecha" [readonly]="view">
      <div class="input-group-append">
        <div class="input-group-text">
          <span class="fas fa-lock"></span>
        </div>
      </div>
    </div>
    <div class="input-group mb-3">
      <input type="text" class="form-control" placeholder="Descripcion" formControlName="descripcion" [readonly]="view">
      <div class="input-group-append">
        <div class="input-group-text">
          <span class="fas fa-lock"></span>
        </div>
      </div>
    </div>
  </form>
</mat-dialog-content>
<mat-dialog-actions align="end">
  <button mat-button (click)="doAction()">Guardar</button>
  <button mat-button (click)="closeDialog()" mat-flat-button color="warn">Cancel</button>
</mat-dialog-actions>
